ARG BASE_IMAGE
FROM $BASE_IMAGE
LABEL maintainer="Tom Gilissen tom.gilissen@naturalis.nl"

# Steward Scripts
COPY scripts/* /usr/local/bin/steward/
RUN chmod 755 /usr/local/bin/steward/*.sh
ENV PATH "$PATH:/usr/local/bin/steward"

# cron
COPY crontab /home/ubuntu/crontab

WORKDIR /usr/local/bin/steward/

ENTRYPOINT ["/usr/local/bin/steward/entrypoint.sh"]
